Add skeleton for 2.6.14
authorArnaud Lacombe <lacombar@gmail.com>
Tue, 24 Nov 2009 02:23:46 +0000 (21:23 -0500)
committerLuis R. Rodriguez <lrodriguez@atheros.com>
Tue, 1 Dec 2009 07:16:19 +0000 (23:16 -0800)
Signed-off-by: Arnaud Lacombe <lacombar@gmail.com>
Makefile
compat-2.6.14.c [new file with mode: 0644]
compat-2.6.14.h [new file with mode: 0644]
compat.h

index be95c6a..fe008df 100644 (file)
--- a/Makefile
+++ b/Makefile
@@ -22,6 +22,7 @@ obj-m += compat.o
 compat-y += main.o
 
 # Compat kernel compatibility code
+compat-$(CONFIG_COMPAT_KERNEL_14) += compat-2.6.14.o
 compat-$(CONFIG_COMPAT_KERNEL_22) += compat-2.6.22.o
 compat-$(CONFIG_COMPAT_KERNEL_23) += compat-2.6.23.o
 compat-$(CONFIG_COMPAT_KERNEL_24) += compat-2.6.24.o
diff --git a/compat-2.6.14.c b/compat-2.6.14.c
new file mode 100644 (file)
index 0000000..e0af181
--- /dev/null
@@ -0,0 +1,18 @@
+/*
+ * Copyright 2007      Luis R. Rodriguez <mcgrof@winlab.rutgers.edu>
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License version 2 as
+ * published by the Free Software Foundation.
+ *
+ * Compatibility file for Linux wireless for kernels 2.6.14.
+ */
+
+#include <net/compat.h>
+
+#if (LINUX_VERSION_CODE < KERNEL_VERSION(2,6,14))
+
+/* 2.6.14 compat code goes here */
+
+#endif /* LINUX_VERSION_CODE < KERNEL_VERSION(2,6,14) */
+
diff --git a/compat-2.6.14.h b/compat-2.6.14.h
new file mode 100644 (file)
index 0000000..ec12941
--- /dev/null
@@ -0,0 +1,12 @@
+#ifndef LINUX_26_14_COMPAT_H
+#define LINUX_26_14_COMPAT_H
+
+#include <linux/autoconf.h>
+#include <linux/version.h>
+
+/* Compat work for 2.6.14 */
+#if (LINUX_VERSION_CODE < KERNEL_VERSION(2,6,14))
+
+#endif /* (LINUX_VERSION_CODE < KERNEL_VERSION(2,6,14)) */
+
+#endif /* LINUX_26_14_COMPAT_H */
index 5c9c803..e537c23 100644 (file)
--- a/compat.h
+++ b/compat.h
@@ -9,6 +9,7 @@
  * code introduced for *that* kernel revision.
  */
 
+#include "compat-2.6.14.h"
 #include "compat-2.6.22.h"
 #include "compat-2.6.23.h"
 #include "compat-2.6.24.h"